# Dialog Turbo (running on Groq Silicon)

Quickstart guide for using our new Turbo voice engine

# Dialog-turbo API Documentation

## Overview

**Dialog-turbo** is an optimized version of the **Dialog** voice model, running at >200 characters / second and deployed on Groq silicon. It uses the same Play.ht Text-to-Speech (TTS) [API](https://docs.play.ht/reference/api-generate-tts-audio-stream)  but comes with a few key differences in parameters.

## API Endpoint

POST <https://api.play.ht/api/v2/tts/stream>

<br />

## Key Differences from baseline dialog model

1. **Voice Parameter** : Instead of S3 bucket URLs, voices are provided as simple strings.
2. **Voice options** : Only the voices below are compatible, your existing voices will not work.
3. **Language Options**: Only two language options are supported: `english` and `arabic`.
4. **Voice Engine Parameter**: The `voice_engine` must be set to `PlayDialog-turbo`.

## Request Parameters

| Parameter       | Type   | Required | Description                               |
| --------------- | ------ | -------- | ----------------------------------------- |
| `voice_engine`  | String | Yes      | Must be set to `PlayDialog-turbo`.        |
| `voice`         | String | Yes      | Voice selection (e.g., \`Atlas-PlayAI").  |
| `output_format` | String | Yes      | Format of the output audio (e.g., `wav`). |
| `language`      | String | Yes      | Must be either `english` or `arabic`.     |

## Request Example (Python)

```python
import requests

url = "https://api.play.ht/api/v2/tts/stream"

payload = {
    "voice_engine": "PlayDialog-turbo",
    "text": "Hello, this is a test of the PlayDialog-turbo model.",
    "voice": "Atlas-PlayAI",
    "output_format": "wav",
    "language": "english"
}
headers = {
    "Authorization": "YOUR_API_KEY",
    "X-USER-ID": "YOUR_USER_ID",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

 
```

## Request Example (cURL)

```sh
curl -X POST "https://api.play.ht/api/v2/tts/stream" \
     -H "Authorization: YOUR_API_KEY" \
     -H "X-USER-ID: YOUR_USER_ID" \
     -H "Content-Type: application/json" \
     -d '{
           "voice_engine": "PlayDialog-turbo",
           "text": "Hello, this is a test of the PlayDialog-turbo model.",
           "voice": "Atlas-PlayAI",
           "output_format": "wav",
           "language": "english"
         }'

 
```

<br />

## Available Voices

The available voices depend on the selected language:

### Arabic Voices:

* Nasser-PlayAI
* Khalid-PlayAI
* Amira-PlayAI
* Ahmad-PlayAI

### English Voices:

* Arista-PlayAI
* Atlas-PlayAI
* Basil-PlayAI
* Briggs-PlayAI
* Calum-PlayAI
* Celeste-PlayAI
* Cheyenne-PlayAI
* Chip-PlayAI
* Cillian-PlayAI
* Deedee-PlayAI
* Fritz-PlayAI
* Gail-PlayAI
* Indigo-PlayAI
* Mamaw-PlayAI
* Mason-PlayAI
* Mikail-PlayAI
* Mitch-PlayAI
* Quinn-PlayAI
* Thunder-PlayAI